Martin Heidegger and Architecture

5 03 2010

Prof. Dr. Hasan Ünal Nalbantoğlu is giving a speech about “From Techne to Technology: Martin Heidegger and Architecture” on Monday (8 March 2010) at 10.30 at İstanbul Bilgi University Santral Campus Architecture Building (E-3) in Mütevelli Heyeti Room. For more information about Prof. Dr. Hasan Ünal Nalbantoğlu please visit his website http://www.metu.edu.tr/~hun/ .





LIGHT BLIND VIDEO

5 03 2010

Click the link below to watch the video.
Light Blind workshop video.





KAYITDIŞI WORKSHOP

10 02 2010

Kayıtdışı 03 has just started. It takes place at Yıldız Teknik University Architecture Building between 08-13 February 2010. Our studio “light blind” is lead by C. Alper Derinboğaz, Salih Küçüktuna, Kamil Kaptan, Özer Önkal, Sinan Paker and me. We are working on the meaning of the corridor, and trying to add new senses, to experiment the corridor with 5 senses. The projects of the groups will be posted soon.
For more information www.kayitdisi.org





Tube Transformation

7 12 2009
 

There are 2 circles and 1 curve on the viewport (You can also use different shapes). The sizes of the polysurface (the tube) change depending on the distances between the midpoint of the curve and the grid points.

Option Explicit
'Script written by <Ebru Arkut Ulu>
'Script copyrighted by <ADS>
'Script version 06 December 2009 Sunday 17:38:58
Call Main()
Sub Main()
 rhino.EnableRedraw False

 Dim Crv1, Crv1srf
 Dim Crv2, Crv2srf
 Dim currsrf

 Dim GrdX,GrdY
 GrdX=10
 GrdY=10

 Dim path
 ReDim path(GrdX,GrdY)
 dim extsrf
 Dim i,j

 Dim attPt
 Dim midPt
 Dim spLine

 Dim posX,posY
 Dim Ptgrid
 ReDim ptgrid(GrdX,GrdY)

 Dim dist
 ReDim dist(GrdX,GrdY)

 Crv1 = Rhino.GetObjects ("Select first curve to build surface")
 Crv2= rhino.getobjects ("Select second curve to build surface")
 spLine=rhino.getobject ("Select curve")
 'attPt=rhino.getpoint ("Select Attractor Point")

 midPt=rhino.CurveMidPoint (spLine)
 rhino.Addpoint midPt

 Crv1srf = Rhino.AddPlanarSrf (Crv1)
 Crv2srf = Rhino.AddPlanarSrf (Crv2)

 currsrf=Rhino.BooleanDifference (Crv2srf,Crv1srf)

 For i=0 To GrdY
  For j=0 To GrdX
   posX=20*j
   posY=20*i
   Ptgrid (i,j)=array(posX,PosY,0)   
   rhino.addpoint ptgrid(i,j)

   dist (i,j)=rhino.Distance (ptGrid(i,j),midPt)
   path(i,j) = Rhino.AddLine (ptgrid (i,j),array(posX,posY,dist(i,j)))
   extsrf=rhino.ExtrudeSurface (currsrf(0),path(i,j))

   If  100 > dist(i,j)And dist(i,j) >80 Then
   rhino.ScaleObject extsrf,array(0,0,0),array(2,2,1)
   ElseIf dist(i,j)>100 Then
   rhino.ScaleObject extsrf,array(0,0,0),array(0.9,0.9,1.5)
   ElseIf 50< dist(i,j) And dist(i,j)  <80 Then
   rhino.ScaleObject extsrf,array(0,0,0),array(1.2,0.8,1)
   Else
   rhino.ScaleObject extsrf,array(0,0,0),array(0.7,1.8,1)
End If    
   rhino.CopyObject extsrf, array(0,0,0),ptgrid(i,j)
   rhino.HideObject extsrf
   rhino.Print dist(i,j)      
  Next  
 Next
 rhino.EnableRedraw True
End Sub




Boolean Difference

6 12 2009

Here is one of my scripting exercises. I tried to run a boolean operation between two closed curves and to extrude the substructed surface on a defined path. 

Call Main()
Sub Main()
 Dim tri, trisrf
 Dim hex, hexsrf
 Dim currsrf
 Dim path

 tri = Rhino.GetObjects ("Select first curve to build surface")
 hex= rhino.getobjects ("Select second curve to build surface") 

 trisrf = Rhino.AddPlanarSrf (tri)
 hexsrf = Rhino.AddPlanarSrf (hex)

 currsrf=Rhino.BooleanDifference (hexsrf,trisrf)
 path = Rhino.AddLine (Array(0,0,0), Array(0,0,5))
 rhino.ExtrudeSurface currsrf(0),path

End Sub




Getting Started with Rhino Scripting

29 11 2009

I started to learn Rhino Scripting. It will help to design the patterns, the architectural forms etc. with parameters. I will add some results of the scripts to my blog in the SCRIPTING section as long as I create new parametric designs.





Getting Started with Max Interface

19 05 2009

3Ds Max 2008 lessons have just started. 
The first lesson was on 16th may.
The topic was Getting Started with Max Interface.

3dmax